%define oname   pg

Name:       ruby-%{oname}
Version:    0.18.4
Release:    %mkrel 1
Summary:    A Ruby interface to the PostgreSQL RDBMS
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://bitbucket.org/ged/ruby-pg/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: postgresql-devel
Provides:      rubygem-pg = %version-%release

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i -e 's/ruby1.9.1/ruby/' sample/test_binary_values.rb

%build
%gem_build

%install
%gem_install

# fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/pg.rb

%files
%{gem_spec}
%{gem_instdir}
%{gem_extdir_mri}

%files          doc
%doc ChangeLog LICENSE
%doc %{gem_docdir}
%doc %{gem_instdir}/sample


%changelog
* Sun Jan 10 2016 pterjan <pterjan> 0.18.4-1.mga6
+ Revision: 921082
- Update to 0.18.4

* Sun Nov 01 2015 tv <tv> 0.18.2-1.mga6
+ Revision: 897026
- new release

* Tue Nov 25 2014 cjw <cjw> 0.14.1-12.mga5
+ Revision: 799054
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-11.mga5
+ Revision: 748311
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-10.mga5
+ Revision: 688901
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.14.1-9.mga4
+ Revision: 562114
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.14.1-8.mga4
+ Revision: 561531
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 0.14.1-7.mga4
+ Revision: 560534
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.14.1-6.mga4
+ Revision: 538740
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.14.1-5.mga4
+ Revision: 490264
- update file list

* Wed Oct 02 2013 fwang <fwang> 0.14.1-4.mga4
+ Revision: 490260
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.14.1-3.mga3
+ Revision: 396242
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 381211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.14.1-1.mga3
+ Revision: 313775
- new version 0.14.1

* Thu Jun 07 2012 solbu <solbu> 0.13.2-1.mga3
+ Revision: 256957
- New version
- Spec cleanup
- Drop patch

* Fri Jun 24 2011 dmorgan <dmorgan> 0.11.0-2.mga2
+ Revision: 113273
- Fix release
- Add provides

* Tue Apr 19 2011 shikamaru <shikamaru> 0.11.0-1.mga2
+ Revision: 88782
- new version 0.11.0

* Fri Mar 25 2011 shikamaru <shikamaru> 0.10.1-2.mga1
+ Revision: 77167
- FHS compliance

* Sat Jan 29 2011 shikamaru <shikamaru> 0.10.1-1.mga1
+ Revision: 43656
- imported package ruby-pg


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.10.1-1
- Apply new ruby policy
- Apply general mageia rules
- Fix shebang
- Remove useless README for OSX and Windows
- Add patch to adapt test to rspec 2.0.1

* Sat Nov 13 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.0-3mdv2011.0
+ Revision: 597365
- Obsolete ruby-pg, increment release just in case
- Move ruby-pg to rubygem-pg
- Use gem to build the package
- We need the gem files or else it's not found with redmine during the
  db:migrate step

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.0-2mdv2011.0
+ Revision: 592789
- add postgresql-server as a requires

* Fri Oct 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 584273
- import ruby-pg

